// wagen.gs -- mit Haubenanimation beim Be- und Entladen
// 20200119 p-dehnert
//
include "cjscripts.gs"

class CWagen isclass CCjVehicle
{
    define float DAUER = 10.0f; // Dauer der Animation in Sekunden
    define string MESHNAME = "default"; // Name des animierten Meshes

    public void Init(void)
    {
	inherited();
    }

    float BeginLoad(LoadingReport report)
    {
	float zeit = inherited(report);
	if (DAUER > zeit)
	    zeit = DAUER;
	SetMeshAnimationState(MESHNAME, true);
	return(zeit);
    }

    float EndLoad(LoadingReport report)
    {
	float zeit = inherited(report);
	if (DAUER > zeit)
	    zeit = DAUER;
	SetMeshAnimationState(MESHNAME, false);
	return(zeit);
    }

    float BeginUnload(LoadingReport report)
    {
	float zeit = inherited(report);
	if (DAUER > zeit)
	    zeit = DAUER;
	SetMeshAnimationState(MESHNAME, true);
	return(zeit);
    }

    float EndUnload(LoadingReport report)
    {
	float zeit = inherited(report);
	if (DAUER > zeit)
	    zeit = DAUER;
	SetMeshAnimationState(MESHNAME, false);
	return(zeit);
    }
};